# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Mosfet Class Reference
Inheritance diagram for Mosfet:

## Public Member Functions
std::string | getBulk ()
| returns the bulk connector of the transistor.
std::string | getDrain ()
| returns the drain connector of the transistor.
std::string | getGrid ()
| returns the grid connector of the transistor.
std::string | getSource ()
| returns the source connector of the transistor.
| Mosfet (std::string name, std::string nd, std::string ng, std::string ns, std::string nb, std::string model)
| creates a new mosfet transistor. More...
Public Member Functions inherited from Instance
void | addConnector (std::string connector)
| adds a connector to the instance. More...
void | addParameter (std::string name, std::string value)
| adds a parameter to the instance. More...
const std::vector< std::string > & | getConnectors ()
| returns the map of instance's connectors. More...
std::string | getModel ()
| returns the model of the instance.
std::string | getName ()
| returns the name of the instance.
const std::map< std::string, std::string > & | getParameters ()
| returns the parameters of the instance.
std::string | getParameterValue (std::string name)
| returns the value (as string) of a parameter of the instance. More...
| Instance (std::string name, std::string model)
| creates a new instance. More...

## Detailed Description

This class describes a mosfet transistor which is a specialized instance which has four connectors (grid, drain, source and bulk).

## Constructor & Destructor Documentation

## ◆ Mosfet()

Mosfet | ( | std::string | name,
|  | std::string | drain,
|  | std::string | grid,
|  | std::string | source,
|  | std::string | bulk,
|  | std::string | model
| ) |  |
| inline

creates a new mosfet transistor.

Parameters

  name | the name of the transistor.
  drain | the drain connector of the transistor.
  grid | the grid connector of the transistor.
  source | the source connector of the transistor.
  bulk | the bulk connector of the transistor.
  model | the model of the transistor.

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved